# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

PYTHON_COMPAT=( python3_{10..12} )
DISTUTILS_USE_PEP517=setuptools

inherit distutils-r1

DESCRIPTION="Thin wrapper around OVH's APIs."
HOMEPAGE="
	https://github.com/ovh/python-ovh
	https://pypi.org/project/ovh/
"
SRC_URI="
	https://github.com/ovh/python-ovh/archive/v${PV}.tar.gz
		-> ${P}.gh.tar.gz"
S="${WORKDIR}/python-ovh-${PV}"

LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~arm64"

RDEPEND="
	$(python_gen_cond_dep '
		dev-python/requests[${PYTHON_USEDEP}]
	')
"
