# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit meson

DESCRIPTION="Wayland idle inhibit on joystick input"
HOMEPAGE="https://github.com/nowrep/wljoywake"
SRC_URI="https://github.com/nowrep/wljoywake/archive/refs/tags/v${PV}.tar.gz -> wljoywake-${PV}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND="
	dev-libs/wayland
	dev-libs/wayland-protocols
	virtual/libudev
"
DEPEND="${RDEPEND}
	dev-util/wayland-scanner
"
