# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8
inherit font

DESCRIPTION="Font family by Gesine Todt"
HOMEPAGE="https://github.com/googlefonts/amaranth"

COMMIT="0481450c4a1c354ec34672a6195d8bf15b657ea4"
SRC_URI="https://github.com/googlefonts/amaranth/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/amaranth-${COMMIT}"

LICENSE="OFL-1.1"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~sparc ~x86"

FONT_SUFFIX="ttf"
FONT_CONF=()

src_install() {
	FONT_S="fonts/ttf" font_src_install
}
