# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="Bule-ish CD ripper"
HOMEPAGE="https://github.com/cyanreg/cyanrip"

LICENSE="LGPL-2.1"
SLOT="0"

inherit meson

if [[ ${PV} == 9999 ]]; then
	inherit git-r3
	EGIT_REPO_URI="https://github.com/cyanreg/cyanrip.git"
else
	SRC_URI="
		https://github.com/cyanreg/cyanrip/archive/v${PV}.tar.gz -> ${P}.tar.gz
	"
	KEYWORDS="~amd64 ~arm64"
fi

RDEPEND="
	>=media-video/ffmpeg-4.0
	>=dev-libs/libcdio-2.0
	>=dev-libs/libcdio-paranoia-2.0
	>=media-libs/musicbrainz-5.1
	>=net-misc/curl-7.66.0
"
DEPEND="$RDEPEND"
