# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="Check if a file contains an ffmpeg aac stream"
HOMEPAGE="https://git.odrling.xyz/ffmpegaacsucks"

LICENSE="LGPL-3"
SLOT="0"

inherit meson

if [[ ${PV} == 9999 ]]; then
	inherit git-r3
	EGIT_REPO_URI="https://git.odrling.xyz/ffmpegaacsucks"
else
	SRC_URI="https://git.odrling.xyz/${PN}/snapshot/${P}.tar.gz"
	KEYWORDS="~amd64 ~arm64"
fi

RDEPEND="
	media-video/ffmpeg
"
DEPEND="$RDEPEND"
