# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="Checks for dakara karaokes"
HOMEPAGE="https://git.odrling.xyz/dakara_check"

LICENSE="LGPL-3"
SLOT="0"

inherit meson

if [[ ${PV} == 9999 ]]; then
	inherit git-r3
	EGIT_REPO_URI="https://git.odrling.xyz/${PN}"
else
	SRC_URI="https://git.odrling.xyz/${PN}/snapshot/${P}.tar.gz"
	KEYWORDS="~amd64 ~arm64"
fi

DEPEND="
	media-video/ffmpeg
	media-sound/ffmpegaacsucks
"
