# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="MQTT client to send device metrics to Home Assistant"
HOMEPAGE="https://git.odrling.xyz/mqtteer"
SRC_URI="https://git.odrling.xyz/${PN}/snapshot/${P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm64"

inherit meson

DEPEND="
	app-misc/mosquitto
	dev-libs/cJSON
	sys-apps/lm-sensors
	sys-process/procps
"
